Subject: Mercury intake from fish

From: Martin Buechi <[email-masked]>
Date: Fri, 06 Sep 1996 16:48:31 +0300

With help of a hair mineral analysis and a urine sample I have
recently found out that I have a relatively high mercury level.

As I have no amalgam fillings, but eat fish about twice a week,
I assume that this is my main source of mercury intake. As I
like to continue to eat fish, I would be interested in information
telling me which fish contain a low amount of mercury.

Any pointers will be greatly appreciated.

-- Martin Buechi
====================================================================
Abo Akademi University          | email: [email-masked]
Department of Computer Science  | phone: +358 (9)21 265-4072
Lemminkaisenkatu 14a            | fax:   +358 (9)21 265-4732
20520  Turku                    | www:   http://www.abo.fi/~mbuechi/
FINLAND                         | time:  UTC +0200
--------------------------------------------------------------------
Statistics show that birthdays are good for your health. People who
have more birthdays get older.
====================================================================